$(function () {
$("#chart").dxChart({
dataSource: dataSource,
title: "Ice Hockey World Championship Gold Medal Winners",
commonSeriesSettings: {
type:"bar",
label: {
visible: true
},
argumentField: "country"
},
series: [{
name: "Gold",
valueField: "gold",
color: "#ffd700"
},{
name: "Silver",
valueField: "silver",
color: "#c0c0c0"
},{
name: "Bronze",
valueField: "bronze",
color: "#cd7f32"
}],
argumentAxis: {
label: {
template: function(data, g) {
var content = $('<svg overflow="visible">' +
'<image filter="url(#DevExpress_shadow_filter)" y="0" width="60" height="40" href="' +
getFilePath(data.valueText) +'"></image>' +
'<text class="template-text" x="30" y="59" text-anchor="middle">' + data.valueText + '</text></svg>');
g.appendChild(content.get(0));
}
}
}
});
function getFilePath(text) {
return "../../../../images/flags/3x2/" + text.toLowerCase().replace(" ", "") + ".svg";
}
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
<svg width="0" height="0">
<defs>
<filter id="DevExpress_shadow_filter" x="-50%" y="-50%" width="200%" height="200%" transform="translate(0,0)">
<fegaussianblur in="SourceGraphic" result="gaussianBlurResult" stdDeviation="3"></fegaussianblur>
<feoffset in="gaussianBlurResult" result="offsetResult" dx="0" dy="1"></feoffset>
<feflood result="floodResult" flood-color="#000000" flood-opacity="0.3"></feflood>
<fecomposite in="floodResult" in2="offsetResult" operator="in" result="compositeResult"></fecomposite>
<fecomposite in="SourceGraphic" in2="compositeResult" operator="over"></fecomposite>
</filter>
</defs>
</svg>
</div>
</body>
</html>
#chart {
height: 440px;
}
.template-text {
fill: #767676;
font-family: "Segoe UI", "Helvetica Neue", "Trebuchet MS", Verdana, sans-serif;
font-weight: 400;
font-size: 13px;
}
var dataSource = [{
country: "Russia",
gold: 27,
silver: 10,
bronze: 10
}, {
country: "Canada",
gold: 26,
silver: 15,
bronze: 9
}, {
country: "Czech Republic",
gold: 12,
silver: 13,
bronze: 21
}, {
country: "Sweden",
gold: 11,
silver: 19,
bronze: 17
}, {
country: "Finland",
gold: 3,
silver: 8,
bronze: 3
}];

import React from 'react';
import { Chart, Series, ArgumentAxis, Label, CommonSeriesSettings } from 'devextreme-react/chart';
import { dataSource } from './data.js';
import { LabelTemplate } from './LabelTemplate.js';
export default function App() {
return (
<Chart id="chart"
title="Ice Hockey World Championship Gold Medal Winners"
dataSource={dataSource}>
<CommonSeriesSettings type="bar" argumentField="country">
<Label visible></Label>
</CommonSeriesSettings>
<Series
name="Gold"
valueField="gold"
color="#ffd700" />
<Series
name="Silver"
valueField="silver"
color="#c0c0c0" />
<Series
name="Bronze"
valueField="bronze"
color="#cd7f32" />
<ArgumentAxis>
<Label render={LabelTemplate}></Label>
</ArgumentAxis>
</Chart>
);
}
import React from 'react';
export function LabelTemplate(data) {
return (<svg overflow="visible"><image filter="url(#DevExpress_shadow_filter)" y="0" width="60" height="40"
href={getFilePath(data.valueText)}></image>
<text className="template-text" x="30" y="59" textAnchor="middle">{data.valueText}</text></svg>);
}
function getFilePath(text) {
return `../../../../images/flags/3x2/${text.toLowerCase().replace(' ', '')}.svg`;
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
<svg width="0" height="0">
<defs>
<filter id="DevExpress_shadow_filter" x="-50%" y="-50%" width="200%" height="200%" transform="translate(0,0)">
<fegaussianblur in="SourceGraphic" result="gaussianBlurResult" stdDeviation="3"></fegaussianblur>
<feoffset in="gaussianBlurResult" result="offsetResult" dx="0" dy="1"></feoffset>
<feflood result="floodResult" flood-color="#000000" flood-opacity="0.3"></feflood>
<fecomposite in="floodResult" in2="offsetResult" operator="in" result="compositeResult"></fecomposite>
<fecomposite in="SourceGraphic" in2="compositeResult" operator="over"></fecomposite>
</filter>
</defs>
</svg>
</div>
</body>
</html>
#chart {
height: 440px;
}
.template-text {
fill: #767676;
font-family: "Segoe UI", "Helvetica Neue", "Trebuchet MS", Verdana, sans-serif;
font-weight: 400;
font-size: 13px;
}
export const dataSource = [{
country: 'Russia',
gold: 27,
silver: 10,
bronze: 10
}, {
country: 'Canada',
gold: 26,
silver: 15,
bronze: 9
}, {
country: 'Czech Republic',
gold: 12,
silver: 13,
bronze: 21
}, {
country: 'Sweden',
gold: 11,
silver: 19,
bronze: 17
}, {
country: 'Finland',
gold: 3,
silver: 8,
bronze: 3
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-react': 'npm:devextreme-react@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});

<dx-chart
id="chart"
title="Ice Hockey World Championship Gold Medal Winners"
[dataSource]="dataSource"
>
<dxo-common-series-settings type="bar" argumentField="country">
<dxo-label visible="true"></dxo-label>
</dxo-common-series-settings>
<dxi-series name="Gold" valueField="gold" color="#ffd700"> </dxi-series>
<dxi-series name="Silver" valueField="silver" color="#c0c0c0"> </dxi-series>
<dxi-series name="Bronze" valueField="bronze" color="#cd7f32"> </dxi-series>
<dxo-argument-axis>
<dxo-label [visible]="true" template="labelTemplate"></dxo-label>
</dxo-argument-axis>
<svg overflow="visible" *dxTemplate="let data of 'labelTemplate'">
<image
filter="url(#DevExpress_shadow_filter)"
y="0"
width="60"
height="40"
attr.href="{{ getFilePath(data.valueText) }}"
></image>
<text class="template-text" x="30" y="59" text-anchor="middle">
{{ data.valueText }}
</text>
</svg>
</dx-chart>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule } from 'devextreme-angular';
import { Data, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
})
export class AppComponent {
dataSource: Data[];
constructor(service: Service) {
this.dataSource = service.getData();
}
getFilePath(text: string) {
return `../../../../images/flags/3x2/${text.toLowerCase().replace(' ', '')}.svg`;
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart {
height: 440px;
}
.template-text {
fill: #767676;
font-family: "Segoe UI", "Helvetica Neue", "Trebuchet MS", Verdana, sans-serif;
font-weight: 400;
font-size: 13px;
}
import { Injectable } from '@angular/core';
export class Data {
country: string;
gold: number;
silver: number;
bronze: number;
}
const data: Data[] = [{
country: 'Russia',
gold: 27,
silver: 10,
bronze: 10,
}, {
country: 'Canada',
gold: 26,
silver: 15,
bronze: 9,
}, {
country: 'Czech Republic',
gold: 12,
silver: 13,
bronze: 21,
}, {
country: 'Sweden',
gold: 11,
silver: 19,
bronze: 17,
}, {
country: 'Finland',
gold: 3,
silver: 8,
bronze: 3,
}];
@Injectable()
export class Service {
getData(): Data[] {
return data;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.3.5/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@21.2.7/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@21.2.7/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.14/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.47',
'devexpress-gantt': 'npm:devexpress-gantt@4.0.13',
'devextreme-angular': 'npm:devextreme-angular@21.2.7',
'@devextreme/runtime': 'npm:@devextreme/runtime@2.3.14',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@2.3.14/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@6.4.0/package.json',
'npm:rxjs@6.4.0/operators/package.json',
'npm:devextreme-angular@21.2.7/*/package.json',
'npm:devextreme-angular@21.2.7/ui/*/package.json',
'npm:devextreme-angular@21.2.7/package.json',
'npm:devexpress-diagram@2.1.47/package.json',
'npm:devexpress-gantt@4.0.13/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
<svg width="0" height="0">
<defs>
<filter id="DevExpress_shadow_filter" x="-50%" y="-50%" width="200%" height="200%" transform="translate(0,0)">
<fegaussianblur in="SourceGraphic" result="gaussianBlurResult" stdDeviation="3"></fegaussianblur>
<feoffset in="gaussianBlurResult" result="offsetResult" dx="0" dy="1"></feoffset>
<feflood result="floodResult" flood-color="#000000" flood-opacity="0.3"></feflood>
<fecomposite in="floodResult" in2="offsetResult" operator="in" result="compositeResult"></fecomposite>
<fecomposite in="SourceGraphic" in2="compositeResult" operator="over"></fecomposite>
</filter>
</defs>
</svg>
</div>
</body>
</html>

<template>
<DxChart
id="chart"
title="Ice Hockey World Championship Gold Medal Winners"
:data-source="dataSource"
>
<DxCommonSeriesSettings
type="bar"
argument-field="country"
>
<DxLabel :visible="true"/>
</DxCommonSeriesSettings>
<DxSeries
name="Gold"
value-field="gold"
color="#ffd700"
/>
<DxSeries
name="Silver"
value-field="silver"
color="#c0c0c0"
/>
<DxSeries
name="Bronze"
value-field="bronze"
color="#cd7f32"
/>
<DxArgumentAxis>
<DxLabel template="labelTemplate"/>
</DxArgumentAxis>
<template #labelTemplate="{ data }">
<LabelTemplate :data="data"/>
</template>
</DxChart>
</template>
<script>
import {
DxChart, DxSeries, DxCommonSeriesSettings, DxLabel, DxArgumentAxis,
} from 'devextreme-vue/chart';
import { dataSource } from './data.js';
import LabelTemplate from './LabelTemplate.vue';
export default {
components: {
DxChart,
DxSeries,
DxCommonSeriesSettings,
DxLabel,
DxArgumentAxis,
LabelTemplate,
},
data() {
return {
dataSource,
};
},
};
</script>
<style>
#chart {
height: 440px;
}
</style>
<template>
<svg overflow="visible">
<image
filter="url(#DevExpress_shadow_filter)"
y="0"
width="60"
height="40"
:href="getFilePath(data.valueText)"
/>
<text
class="template-text"
x="30"
y="59"
text-anchor="middle"
>
{{ data.valueText }}
</text>
</svg>
</template>
<script>
export default {
props: {
data: {
type: Object,
default: () => {},
},
},
methods: {
getFilePath: (text) => `../../../../images/flags/3x2/${text.toLowerCase().replace(' ', '')}.svg`,
},
};
</script>
<style scoped>
.template-text {
fill: #767676;
font-family: "Segoe UI", "Helvetica Neue", "Trebuchet MS", Verdana, sans-serif;
font-weight: 400;
font-size: 13px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
<svg width="0" height="0">
<defs>
<filter id="DevExpress_shadow_filter" x="-50%" y="-50%" width="200%" height="200%" transform="translate(0,0)">
<fegaussianblur in="SourceGraphic" result="gaussianBlurResult" stdDeviation="3"></fegaussianblur>
<feoffset in="gaussianBlurResult" result="offsetResult" dx="0" dy="1"></feoffset>
<feflood result="floodResult" flood-color="#000000" flood-opacity="0.3"></feflood>
<fecomposite in="floodResult" in2="offsetResult" operator="in" result="compositeResult"></fecomposite>
<fecomposite in="SourceGraphic" in2="compositeResult" operator="over"></fecomposite>
</filter>
</defs>
</svg>
</div>
</body>
</html>
export const dataSource = [{
country: 'Russia',
gold: 27,
silver: 10,
bronze: 10,
}, {
country: 'Canada',
gold: 26,
silver: 15,
bronze: 9,
}, {
country: 'Czech Republic',
gold: 12,
silver: 13,
bronze: 21,
}, {
country: 'Sweden',
gold: 11,
silver: 19,
bronze: 17,
}, {
country: 'Finland',
gold: 3,
silver: 8,
bronze: 3,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.2.41/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);